import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { ColumnsType } from "antd/lib/table";
import { Image } from "antd";
import { getBirthDateAndGender } from "@/util/util";
export const defaultConfig = (team, per) => [
  {
    type: FormType.input,
    label: "菜单名称",
    name: "name",
    value: "",
    rules: [{ required: true, message: "请输入名称!" }],
  },

  {
    type: FormType.inputNumber,
    label: "icon",
    name: "icon",
    value: "",
    rules: [{ required: true, message: "请输入年龄" }],
  },
  {
    type: FormType.input,
    label: "路径",
    name: "id_card",
    value: "",
    rules: [{ required: true, message: "请输入身份证" }],
  },
];

export const columns: ColumnsType<UserDataType> = [
  {
    title: "菜单名称",
    dataIndex: "name",
    fixed: "left",
  },
  {
    title: "icon图标",
    render: (render) => (
      <span>{getBirthDateAndGender(render.id_card)?.gender}</span>
    ),
  },

  {
    title: "路径",
    dataIndex: "head_img",
    render: (head_img) => {
      return <Image src={head_img}></Image>;
    },
  },
];
